UnresolvedLibrary (Gradle API 7.6.4)

Package org.gradle.plugins.ide.eclipse.model

## Class UnresolvedLibrary

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.AbstractLibrary
    - - org.gradle.plugins.ide.eclipse.model.Library
      - - org.gradle.plugins.ide.eclipse.model.UnresolvedLibrary

- All Implemented Interfaces:
    `ClasspathEntry`

      public class UnresolvedLibrary
      extends Library

  A library that turned out to be unresolved.
  Since:
    6.7

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnresolvedLibrary​(FileReference library)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentSelector` | `getAttemptedSelector()` | The attempted selector reported by the related UnresolvedDependencyResult
    `void` | `setAttemptedSelector​(ComponentSelector attemptedSelector)` |

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.Library

      `getKind, toString`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractLibrary

      `appendNode, equals, getJavadocPath, getLibrary, getModuleVersion, getSourcePath, hashCode, setJavadocPath, setLibrary, setModuleVersion, setSourcePath`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedLibrary

          public UnresolvedLibrary​(FileReference library)

  - ### Method Detail

    - #### getAttemptedSelector

          public ComponentSelector getAttemptedSelector()

      The attempted selector reported by the related UnresolvedDependencyResult

    - #### setAttemptedSelector

          public void setAttemptedSelector​(ComponentSelector attemptedSelector)